Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl.VelSetterImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl.VelSetterImpl

All Implemented Interfaces:
  VelPropertySet

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelSetterImpl
extends Object
implements VelPropertySet

Constructor Summary
`UberspectImpl.VelSetterImpl(VelMethod velmethod)`
`UberspectImpl.VelSetterImpl(VelMethod velmethod, String key)`

Method Summary
`String` | `getMethodName()` returns the method name used to set this 'property'
`Object` | `invoke(Object o, Object value)` method used to set the value in the object
`boolean` | `isCacheable()` specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod)

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod,
                                       String key)

Method Detail

### invoke

    public Object invoke(Object o,
                         Object value)
                  throws Exception

  Description copied from interface: `VelPropertySet`
  method used to set the value in the object
  Specified by:
    `invoke` in interface `VelPropertySet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertySet`
  Parameters:
    `o` - Object on which the method will be called with the arg
    `arg` - value to be set
  Returns:
    the value returned from the set operation (impl specific)

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelPropertySet`
  specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for
  Specified by:
    `isCacheable` in interface `VelPropertySet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertySet`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  Description copied from interface: `VelPropertySet`
  returns the method name used to set this 'property'
  Specified by:
    `getMethodName` in interface `VelPropertySet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.